persistent-1.2.0.1: Type-safe, multi-backend data serialization.

Safe Haskell | None

Database.Persist.Quasi

Synopsis

- parse :: PersistSettings -> Text -> [EntityDef ()]
- data PersistSettings = PersistSettings {
  - psToDBName :: !(Text -> Text)
  - psStrictFields :: !Bool
  }
- upperCaseSettings :: PersistSettings
- lowerCaseSettings :: PersistSettings
- stripId :: FieldType -> Maybe Text
- nullable :: [Text] -> IsNullable

# Documentation

parse :: PersistSettings -> Text -> [EntityDef ()]

Parses a quasi-quoted syntax into a list of entity definitions.

data PersistSettings

Constructors

PersistSettings |

Fields

psToDBName :: !(Text -> Text)
psStrictFields :: !Bool

  Whether fields are by default strict. Default value: `True`.

  Since 1.2

upperCaseSettings :: PersistSettings

lowerCaseSettings :: PersistSettings

stripId :: FieldType -> Maybe Text

nullable :: [Text] -> IsNullable